Bug 992627 - Evolution hangs when I changed domain password
Evolution hangs when I changed domain password
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 01:39 EDT by Mikhail
Modified: 2013-10-08 02:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 02:36:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evolution backtrace (5.29 KB, application/x-bzip)
2013-08-05 01:39 EDT, Mikhail
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 709608 None None None Never

  None (edit)
Description Mikhail 2013-08-05 01:39:10 EDT
Created attachment 782650 [details]
Evolution backtrace

Description of problem:
Evolution hangs when I changed domain password
Comment 1 Milan Crha 2013-08-05 06:08:34 EDT
Thanks for a bug report. I see in the backtraces one weird thing, some of the files claim the corresponding binary was deleted, for some reason. Might it be that you updated evolution packages meanwhile?

In any case, the evolution process shows the mailer part as waiting for an authentication response, but it didn't receive it. The evolution-source-registry, which is responsible for the authentication and passwords, is idle. I'm wondering whether it returned anything, or it just returns a wrong password and the authentication process is repeating forever. You might see it with EWS debugging on, if the request/response repeats quickly. To checkout it, try this command, please:
   $ EWS_DEBUG=2 evolution

Otherwise I would try to run the evolution-source-registry process on a console, as it also prints what it does with password requests/prompts.
Comment 2 Mikhail 2013-10-05 12:12:02 EDT
Hmmm, now evolution not hang, but no request password if it was changed. I can change password only via online accounts?

Demonstration: https://docs.google.com/file/d/0B0nwzlfiB4aQQlRINjVYLThNeXc/edit?usp=sharing
Comment 3 Milan Crha 2013-10-07 05:24:27 EDT
(In reply to Mikhail from comment #2)
> I can change password only via online accounts?

In case your EWS account was created through online-accounts, then yes, the password is managed by it as well.

I'm closing this for now.
Comment 4 Mikhail 2013-10-07 05:37:31 EDT
But I want to see error messages in evolution.
How a user finds out that it is necessary to go to the online account and re-enter your password?
Comment 5 Milan Crha 2013-10-08 02:36:06 EDT
You are right, I do not know why I didn't do that right away. I moved this upstream as [1], please see it for any further updates.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=709608

Note You need to log in before you can comment on or make changes to this bug.